import { SymbolTrackerBase, IKsDeclared, TrackerKind, KsSymbol } from '../types';
import { Location } from 'vscode-languageserver';
import { IType } from '../../typeChecker/types';
export declare class TypeTracker<T extends KsSymbol = KsSymbol> implements SymbolTrackerBase<T> {
    type: IType;
    declared: IKsDeclared<T, IType>;
    constructor(symbol: T, type: IType);
    /**
     * Get the the type of the suffix type
     * @param _ location is irrelevant since suffix types cannot be changed
     */
    getType(_: Location): IType;
    /**
     * What kind of tracker is this type
     */
    get kind(): TrackerKind.type;
}
