import { KsSymbol } from '../../analysis/types';
import { IType } from '../../typeChecker/types';
/**
 * A class representing a type narrowing. Typically this would be accomplished with
 * something of this form `a:istype("string")`
 */
export declare class Narrowing {
    /**
     * The symbol to be narrowed
     */
    readonly symbols: KsSymbol;
    /**
     * The types that were "included" in this narrowing
     */
    readonly includes: IType[];
    /**
     * The types that were "excluded" in this narrowing
     */
    readonly excludes: IType[];
    constructor(symbols: KsSymbol, includes: IType[], excludes: IType[]);
}
