import { Token } from '../models/token';
import { TokenType } from '../models/tokentypes';
import { DiagnosticUri } from '../types';
import { DirectiveTokens } from './types';
declare type IncludeTypes = TokenType.string | TokenType.identifier | TokenType.fileIdentifier;
export declare class Include {
    /**
     * The underlying directive
     */
    readonly directive: Token<TokenType.include>;
    /**
     * The import path this directive should load
     */
    readonly path: Token<IncludeTypes>;
    /**
     * Construct a new include directive
     * @param path import path
     */
    constructor(directive: Token<TokenType.include>, path: Token<IncludeTypes>);
    /**
     * What path should be imported from this inclTude
     */
    includePath(): string;
    /**
     * Attempt to parse a include directive
     * @param directive include directive
     */
    static parse(directive: DirectiveTokens<TokenType.include>): Include | DiagnosticUri;
}
export {};
