import { DirectiveTokens } from './types';
import { TokenType } from '../models/tokentypes';
/**
 * Determine if this directive is of a certain type
 * @param type expected directive type
 * @param directive directive
 */
export declare const isDirective: <T extends TokenType>(type: T, directive: DirectiveTokens<TokenType>) => directive is DirectiveTokens<T>;
/**
 * Determine if this directive is an include directive
 * @param directive directive to check
 */
export declare const isInclude: (directive: DirectiveTokens<TokenType>) => directive is DirectiveTokens<TokenType.include>;
/**
 * Determine if this directive is an region directive
 * @param directive directive to check
 */
export declare const isRegion: (directive: DirectiveTokens<TokenType>) => directive is DirectiveTokens<TokenType.region>;
/**
 * Determine if this directive is an endRegion directive
 * @param directive directive to check
 */
export declare const isEndRegion: (directive: DirectiveTokens<TokenType>) => directive is DirectiveTokens<TokenType.endRegion>;
