import { ScopeKind } from '../parser/types';
import { KsSymbolKind } from '../analysis/types';
import { Token } from './token';
import { Range } from 'vscode-languageserver';
/**
 * A class containing the information of a lock
 */
export declare class KsLock {
    readonly scope: ScopeKind;
    readonly name: Token;
    readonly range: Range;
    /**
     * A kerboscript lock constructor
     * @param scope the scope of this lock
     * @param name the name of this lock
     * @param range the range of this lock
     */
    constructor(scope: ScopeKind, name: Token, range: Range);
    /**
     * Is this lock "cooked"
     */
    get cooked(): boolean;
    /**
     * What kind of symbol is represented in this case a lock
     */
    get tag(): KsSymbolKind.lock;
}
