/**
 * A mock logger for testings or performance
 */
export declare const mockLogger: ILogger;
/**
 * A mock tracer for testing or performance
 */
export declare const mockTracer: ITracer;
/**
 * A logger to write to the standard console
 */
export declare const consoleLogger: ILogger;
/**
 * A tracer to write to the standard console
 */
export declare const consoleTracer: ITracer;
/**
 * Log an exception at the provided level to the provided logger
 * @param logger logger to write to
 * @param err exception to log
 * @param level log level to report
 */
export declare const logException: (logger: ILogger, tracer: ITracer, err: any, level: LogLevel) => void;
/**
 * A class to implement the logic of logging levels
 */
export declare class Logger implements ILogger {
    private readonly connection;
    level: LogLevel;
    constructor(connection: ILoggerBase, level: LogLevel);
    error(message: string): void;
    warn(message: string): void;
    log(message: string): void;
    info(message: string): void;
    verbose(message: string): void;
}
