import { ScopeKind } from '../parser/types';
import { KsSymbolKind } from '../analysis/types';
import { Token } from './token';
import { Range } from 'vscode-languageserver';
/**
 * A class containing the information of a variable
 */
export declare class KsVariable {
    readonly scope: ScopeKind;
    readonly name: Token;
    readonly range: Range;
    /**
     * A kerboscript variable constructor
     * @param scope the scope of this variable
     * @param name the name of this variable
     * @param range the range of this variable
     */
    constructor(scope: ScopeKind, name: Token, range: Range);
    /**
     * What kind of symbol is represented in this case a variable
     */
    get tag(): KsSymbolKind.variable;
}
