import { IParseError, PartialNode } from '../types';
import { Position } from 'vscode-languageserver';
import { Expr } from './expr';
import { Stmt } from './stmt';
import { Token } from '../../models/token';
export declare class ParseError implements IParseError {
    readonly inner: ParseError[];
    readonly token: Token;
    readonly failed: FailedConstructor;
    readonly message: string;
    readonly moreInfo?: string;
    partial?: PartialNode;
    constructor(token: Token, failed: FailedConstructor, message: string, moreInfo?: string, partial?: PartialNode);
    get start(): Position;
    get end(): Position;
    get tag(): 'parseError';
}
export declare class FailedConstructor {
    stmt: Maybe<Constructor<Stmt>>;
    expr: Maybe<Constructor<Expr>>;
    constructor(stmt: Maybe<Constructor<Stmt>>, expr: Maybe<Constructor<Expr>>);
}
export declare type NodeConstructor = Constructor<Expr> | Constructor<Stmt> | Constructor;
export declare const constructorToFailed: (constructor?: Maybe<Constructor<Expr> | Constructor<Stmt> | Constructor<{}>>) => FailedConstructor;
export declare const failedExpr: (expr: Maybe<Constructor<Expr>>) => FailedConstructor;
export declare const failedStmt: (stmt: Maybe<Constructor<Stmt>>) => FailedConstructor;
export declare const failedUnknown: () => FailedConstructor;
