import { IScript, IStmt, IExpr, ISuffixTerm } from './types';
import { Token } from '../models/token';
import { TreeTraverse } from '../utilities/treeTraverse';
/**
 * Check all tokens in a given tree node
 */
export declare class TokenCheck extends TreeTraverse {
    private tokens;
    /**
     * Construct token check
     */
    constructor();
    /**
     * Get all tokens in the syntax tree from this node down
     * @param syntaxNode syntax node to begin
     */
    orderedTokens(script: IScript): Token[];
    stmtAction(stmt: IStmt): void;
    exprAction(expr: IExpr): void;
    suffixTermAction(suffixTerm: ISuffixTerm): void;
}
