import { Location } from 'vscode-languageserver';
import { URI } from 'vscode-uri';
/**
 * Class to resolve run statements or calls to file paths
 */
export declare class ResolverService {
    /**
     * The path corresponding to root of volume 0 of the kos directory
     */
    rootVolume?: URI;
    /**
     * Create an instance of that path resolve.
     * @param rootVolume the uri associated with volume 0
     */
    constructor(rootVolume?: string);
    /**
     * Is the resolve ready to resolve paths
     */
    ready(): boolean;
    /**
     * Resolve path from kerboscript run statement
     * @param caller location of caller
     * @param rawPath path provided in a run statement
     */
    resolve(caller: Location, rawPath: string): Maybe<URI>;
    /**
     * Creates a load data payload from a caller and path segments
     * @param caller call location
     * @param pathSegments path segments
     */
    private toUri;
}
