import { IParametricType, IType, ICallSignature, TypeMap } from '../types';
import { CallSignature } from '../models/types/callSignature';
import { Binder } from './binder';
/**
 * A class that's responsible for binding type arguments to type
 * parameters of parametric call signatures
 */
export declare class CallBinder extends Binder<CallSignature> {
    /**
     * Construct a new call binder
     * @param names names of the types for substituting
     */
    constructor(names: string[]);
    /**
     * Apply type arguments to this parametric call signature to generate
     * a call signature
     * @param typeArguments the type arguments for this application
     * @param params the parameters for the generic call
     * @param returns the return of the generic call
     */
    apply(typeArguments: Map<IParametricType, IType>, params: TypeMap<IParametricType>[], returns: TypeMap<IParametricType>): ICallSignature;
}
