import { IParametricType, IType, TypeMap, IParametricCallSignature } from '../types';
import { Binder } from './binder';
import { Indexer } from '../models/types/indexer';
/**
 * A class that's responsible for binding type arguments to type
 * parameters of parametric call signatures
 */
export declare class IndexerBinder extends Binder<Indexer> {
    /**
     * Construct a new call binder
     * @param names names of the types for substituting
     */
    constructor(names: string[]);
    /**
     * Apply type arguments to this parametric call signature to generate
     * a call signature
     * @param typeArguments the type arguments for this application
     * @param callSignature call signature of indexer
     */
    apply(typeArguments: Map<IParametricType, IType>, callSignature: TypeMap<IParametricCallSignature>): Indexer;
}
