import { IParametricType, IType, TypeMap, IParametricCallSignature } from '../types';
import { ParametricType } from '../models/parametricTypes/parametricType';
import { Type } from '../models/types/type';
import { Binder } from './binder';
/**
 * A class that is responsible for binding type arguments to type parameters in
 * parametric types
 */
export declare class TypeBinder extends Binder<Type> {
    /**
     * Construct a new type binder
     * @param names names of the type for substituting
     */
    constructor(names: string[]);
    /**
     * Substitute placeholder types in a generic for real one using the
     * provided type arguments
     * @param type the generic type to be made concrete
     * @param typeArguments the type replacement to preform
     * @param callSignature the call signature and it's type mapping
     * @param suffixes the collection of suffixes and their type mapping
     * @param superMap the super and it's type mapping
     */
    apply(type: ParametricType, typeArguments: Map<IParametricType, IType>, suffixes: Map<string, TypeMap<IParametricType>>, callSignature?: TypeMap<IParametricCallSignature>, superMap?: TypeMap<IParametricType>, indexerMap?: TypeMap<IParametricType>): IType;
}
