import { TypeMap, TypeKind, IParametricCallSignature, IType, IParametricIndexer, IIndexer, IParametricType } from '../../types';
import { ParametricType } from './parametricType';
import { IndexerBinder } from '../../binders/indexerBinder';
export declare class ParametricIndexer extends ParametricType implements IParametricIndexer {
    readonly indexBinder: IndexerBinder;
    readonly kind: TypeKind.indexer;
    constructor(typeParameters: string[]);
    /**
     * Add parameters to this call signature
     * @param indexMap index to add
     */
    addCallSignature(callSignature: TypeMap<IParametricCallSignature>): void;
    getTypeParameters(): IParametricType[];
    apply(typeArguments: Map<IType, IType> | IType): IIndexer;
}
