import { SuffixTermBase } from '../../parser/models/suffixTerm';
import { Position, Range } from 'vscode-languageserver';
import { IType } from '../types';
/**
 * Storage type for suffix terms in the type checker
 */
export declare class TypeNode<T extends IType = IType> implements Range {
    readonly type: T;
    readonly node: SuffixTermBase;
    /**
     * TypeNode constructor
     * @param type type at a suffix term node
     * @param node suffix term node
     */
    constructor(type: T, node: SuffixTermBase);
    /**
     * start position of the node
     */
    get start(): Position;
    /**
     * end position of the node
     */
    get end(): Position;
}
