import { Access, IType, TypeKind, ICallSignature, IParametricType } from '../../types';
import { Type } from './type';
/**
 * Represents a constant type, or a type with a fixed value
 */
export declare class ConstantType<T> extends Type {
    readonly value: T;
    /**
     * Construct a constant type
     * @param name name of this constant type
     * @param value value of this constant type
     */
    constructor(name: string, value: T, access: Access, typeArguments: Map<IType, IType>, kind: TypeKind, callSignature?: ICallSignature, typeTemplate?: IParametricType);
    /**
     * Create a type string from this type
     */
    toString(): string;
}
