import { IType, Access, TypeKind, ICallSignature, OperatorKind, IParametricType, IIndexer } from '../../types';
import { Operator } from './operator';
import { TypeTracker } from '../../../analysis/models/typeTracker';
export declare class VariadicType implements IType {
    readonly anyType: boolean;
    readonly noneType: boolean;
    readonly name: string;
    readonly access: Access;
    readonly kind: TypeKind;
    readonly base: IType;
    constructor(base: IType);
    isSubtypeOf(type: IType): boolean;
    canCoerceFrom(type: IType): boolean;
    assignmentType(): IType;
    callSignature(): Maybe<ICallSignature>;
    indexer(): Maybe<IIndexer>;
    getTypeParameters(): IParametricType[];
    super(): Maybe<IType>;
    subTypes(): IType[];
    tracker(): TypeTracker;
    coercions(): Set<IType>;
    suffixes(): Map<string, IType>;
    hasSuffix(_: string): boolean;
    getSuffix(_: string): Maybe<IType>;
    getOperator(_: OperatorKind, __?: Maybe<IType>): Maybe<Operator<IType>>;
    operators(): Map<OperatorKind, Operator<IType>[]>;
    toString(): string;
    apply(_: IType | Map<IType, IType>): IType;
}
