import { KsSymbol } from '../analysis/types';
import { KsVariable } from '../models/variable';
import { KsParameter } from '../models/parameter';
import { KsFunction } from '../models/function';
import { KsSuffix } from '../models/suffix';
import { KsLock } from '../models/lock';
/**
 * Check if the symbol is a variable
 * @param symbol symbol to check
 */
export declare const isVariable: (symbol: KsSymbol) => symbol is KsVariable;
/**
 * Check if the symbol is a parameter
 * @param symbol symbol to check
 */
export declare const isParameter: (symbol: KsSymbol) => symbol is KsParameter;
/**
 * Check if the symbol is a function
 * @param symbol symbol to check
 */
export declare const isFunction: (symbol: KsSymbol) => symbol is KsFunction;
/**
 * Check if the symbol is a lock
 * @param symbol symbol to check
 */
export declare const isLock: (symbol: KsSymbol) => symbol is KsLock;
/**
 * Check if the symbol is a suffix
 * @param symbol symbol to check
 */
export declare const isSuffix: (symbol: KsSymbol) => symbol is KsSuffix;
