import { TextDocument } from 'vscode-languageserver';
import { IoService } from '../../src/services/ioService';
import { DocumentService } from '../../src/services/documentService';
import { AnalysisService } from '../../src/services/analysisService';
import { DocumentInfo } from '../../src/types';
/**
 * Create a mock client and server connection
 */
export declare const createMockConnection: () => {
    server: import("vscode-languageserver").IConnection;
    client: import("vscode-languageserver").IConnection;
};
/**
 * Create a mock io service for testing
 * @param files files this io service will response with
 */
export declare const createMockIoService: (files: Map<string, string>) => IoService;
/**
 * Create a mock document service for testing.
 * @param documents Documents this service will respond to
 */
export declare const createMockDocumentService: (documents: Map<string, TextDocument>) => DocumentService;
export declare const createMockAnalysisService: (docInfo: Map<string, DocumentInfo>) => AnalysisService;
