import { Tokenized } from '../../src/scanner/types';
import { Ast } from '../../src/parser/types';
import { SymbolTable } from '../../src/analysis/models/symbolTable';
import { Diagnostic } from 'vscode-languageserver';
import { DirectiveResult } from '../../src/directives/directiveParser';
export interface IResolveResults {
    scan: Tokenized;
    parse: Ast;
    directives: DirectiveResult;
    table: SymbolTable;
    resolveDiagnostics: Diagnostic[];
}
export declare const scanSource: (source: string, uri?: string) => Tokenized;
export declare const parseSource: (source: string, uri?: string) => Pick<IResolveResults, "directives" | "scan" | "parse">;
export declare const resolveSource: (source: string, uri?: string, standardLib?: boolean, ...otherTables: SymbolTable[]) => IResolveResults;
export declare const noParseErrors: (result: Pick<IResolveResults, "scan" | "parse">) => void;
export declare const noResolverErrors: (result: IResolveResults) => void;
